Subject: bug#25360: File mode specification errors during building

From: Noam Postavsky <[email-masked]>
Date: Mon, 6 Mar 2017 16:10:01 -0500

On Mon, Mar 6, 2017 at 3:53 PM, Eli Zaretskii <[email-masked]> wrote:
>>
>> After reverting 1b9463051823 "Remove conditional includes from
>> bootstrap" and deleting bootstrap-emacs.exe, I was able to build
>> successfully.
>
> Hmm... I don't get it: why did that commit make Emacs bypass loading
> important packages when invoked with "loadup bootstrap"?  Phillip, can
> you explain the rationale?

It's discussed upthread, it has to do with making one of the ldefs
files consistent across configurations.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25360#72
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25360#93

It should not be needed now that we're going back to the old system, AFAIK.